using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace F43133
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private ChartAxis axis1 = new ChartAxis();
		private ChartAxis axis2 = new ChartAxis();
		private ChartAxis axis3 = new ChartAxis();
		private ChartAxis axis4 = new ChartAxis();
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InitializeControlSettings();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30), Color.FromArgb(185,242,19,78),Color.FromArgb(185,104,15,78),Color.FromArgb(185,79,189,23)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			this.chartControl1.HidePartialLabels = true;
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(678, 324);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.Size = new System.Drawing.Size(776, 638);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.VisibleRangeChanged += new System.EventHandler(this.chartControl1_VisibleRangeChanged);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(776, 638);
			this.Controls.Add(this.chartControl1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "Form1";
			this.Text = "Sample";
			this.SizeChanged += new System.EventHandler(this.Form1_SizeChanged);
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartAxis();
			InitializeChartData();
			SetAxes();
		}

		protected void InitializeChartData()
		{
			Random r = new Random();
			this.chartControl1.ShowToolTips = true;

			ChartSeries series = this.chartControl1.Model.NewSeries("Line 1",ChartSeriesType.Line);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(20,40));

			series.PointsToolTipFormat = "{4}";
			this.chartControl1.Series.Add(series);

			series = this.chartControl1.Model.NewSeries("Line 2",ChartSeriesType.Line);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(50,75));

			series.PointsToolTipFormat = "{4}";
			this.chartControl1.Series.Add(series);
			series.YAxis = this.axis1;

			series = this.chartControl1.Model.NewSeries("Line 3",ChartSeriesType.Line);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(100,200));

			series.PointsToolTipFormat = "{4}";
			this.chartControl1.Series.Add(series);
			series.YAxis = this.axis2;

			series = this.chartControl1.Model.NewSeries("Line 4",ChartSeriesType.Line);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(300,400));

			series.PointsToolTipFormat = "{4}";
			this.chartControl1.Series.Add(series);
			series.YAxis = this.axis3;

			series = this.chartControl1.Model.NewSeries("Line 5",ChartSeriesType.Line);
			series.Text = series.Name;

			for(int i=0;i<10;i++)
				series.Points.Add(i,r.Next(400,500));

			series.PointsToolTipFormat = "{4}";
			this.chartControl1.Series.Add(series);
			series.YAxis = this.axis4;

			this.chartControl1.EnableXZooming = true;
		}

		protected void InitializeChartAxis()
		{
			this.chartControl1.ChartAreaMargins.Left = -100;
			this.chartControl1.ChartArea.BoundsByAxes = false;

			this.chartControl1.PrimaryYAxis.DrawGrid = false;
			this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
			this.chartControl1.PrimaryYAxis.Range = new MinMaxInfo(20,40,5);
			this.chartControl1.PrimaryYAxis.ForeColor = Color.FromArgb(185, 73,141,238);

			axis1.Orientation = ChartOrientation.Vertical;
			axis1.OpposedPosition = false;
			axis1.RangeType = ChartAxisRangeType.Set;
			axis1.Range = new MinMaxInfo(50,75,5);
			axis1.DrawGrid = false;
			axis1.ForeColor = Color.FromArgb(185,247,179,78);
			this.chartControl1.Axes.Add(axis1);

			axis2.Orientation = ChartOrientation.Vertical;
			axis2.OpposedPosition = false;
			axis2.RangeType = ChartAxisRangeType.Set;
			axis2.Range = new MinMaxInfo(100,200,20);
			axis2.DrawGrid = false;
			axis2.ForeColor = Color.FromArgb(185,186,66,30);
			this.chartControl1.Axes.Add(axis2);

			axis3.Orientation = ChartOrientation.Vertical;
			axis3.OpposedPosition = false;
			axis3.RangeType = ChartAxisRangeType.Set;
			axis3.Range = new MinMaxInfo(300,400,20);
			axis3.DrawGrid = false;
			axis3.ForeColor = Color.FromArgb(185,242,19,78);
			this.chartControl1.Axes.Add(axis3);

			axis4.Orientation = ChartOrientation.Vertical;
			axis4.OpposedPosition = false;
			axis4.RangeType = ChartAxisRangeType.Set;
			axis4.Range = new MinMaxInfo(400,500,20);
			axis4.DrawGrid = false;
			axis4.ForeColor = Color.FromArgb(185,104,15,78);
			this.chartControl1.Axes.Add(axis4);
		}

		protected void SetAxes()
		{
			this.chartControl1.PrimaryYAxis.AutoSize = false;
			this.chartControl1.PrimaryYAxis.Size = new SizeF(0,(this.chartControl1.ChartArea.RenderBounds.Height / 4-this.chartControl1.ChartArea.RenderBounds.Height/12));

			axis1.LocationType = ChartAxisLocationType.Set;
			axis1.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X, (this.chartControl1.ChartArea.RenderBounds.Bottom - this.chartControl1.ChartArea.RenderBounds.Height / 5));
			axis1.AutoSize = false;
			axis1.Size = new SizeF(0,(this.chartControl1.ChartArea.RenderBounds.Height/ 4-this.chartControl1.ChartArea.RenderBounds.Height/12));

			axis2.LocationType = ChartAxisLocationType.Set;
			axis2.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X, (this.chartControl1.ChartArea.RenderBounds.Bottom - this.chartControl1.ChartArea.RenderBounds.Height*2 / 5));
			axis2.AutoSize = false;
			axis2.Size = new SizeF(0,(this.chartControl1.ChartArea.RenderBounds.Height/ 4-this.chartControl1.ChartArea.RenderBounds.Height/12));
	
			axis3.LocationType = ChartAxisLocationType.Set;
			axis3.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X, (this.chartControl1.ChartArea.RenderBounds.Bottom - this.chartControl1.ChartArea.RenderBounds.Height *3 / 5));
			axis3.AutoSize = false;
			axis3.Size = new SizeF(0,(this.chartControl1.ChartArea.RenderBounds.Height/ 4-this.chartControl1.ChartArea.RenderBounds.Height/12));
			
			axis4.LocationType = ChartAxisLocationType.Set;
			axis4.Location = new PointF(this.chartControl1.PrimaryXAxis.Location.X, (this.chartControl1.ChartArea.RenderBounds.Bottom - this.chartControl1.ChartArea.RenderBounds.Height*4 / 5));
			axis4.AutoSize = false;
			axis4.Size = new SizeF(0,(this.chartControl1.ChartArea.RenderBounds.Height/ 4-this.chartControl1.ChartArea.RenderBounds.Height/16));
		}

		private void Form1_SizeChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.ChartArea.BoundsByAxes = false;
			SetAxes();
		}

		private void chartControl1_VisibleRangeChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.ChartArea.BoundsByAxes = false;
			SetAxes();
		}
	}
}
